"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const eslint_disable_actions_1 = require("../actions/eslint-disable-actions");
const eslint_summary_actions_1 = require("../actions/eslint-summary-actions");
const outdated_dependency_actions_1 = require("../actions/outdated-dependency-actions");
const hook = async function ({ registerActions }) {
    registerActions('eslint-disables', eslint_disable_actions_1.evaluateActions);
    registerActions('eslint-summary', eslint_summary_actions_1.evaluateActions);
    registerActions('outdated-dependencies', outdated_dependency_actions_1.evaluateActions);
};
exports.default = hook;
//# sourceMappingURL=register-actions.js.map