import { BaseTask, ESLintOptions, Task, TaskContext, TaskResult } from '@checkup/core';
import { PackageJson } from 'type-fest';
/**
 * @export
 * @description In prioritized order as specified by https://eslint.org/docs/user-guide/configuring
 */
export declare const ACCEPTED_ESLINT_CONFIG_FILES: string[];
export declare class EslintSummaryTask extends BaseTask implements Task {
    taskName: string;
    taskDisplayName: string;
    category: string;
    private _eslintParser;
    constructor(pluginName: string, context: TaskContext);
    run(): Promise<TaskResult>;
}
export declare function readEslintConfig(paths: string[], basePath: string, pkg: PackageJson): ESLintOptions;
//# sourceMappingURL=eslint-summary-task.d.ts.map